summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Miller <dave@frop.net>2010-05-11 22:55:29 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:29 +0200
commit9fe9ef6c358fcd0f50780dbf029086eb276939f7 (patch)
treef55a7de957b5b63121ac8c9ae21f4030f0368ec0
parent770406f4eb9c2b15b14411b16d911c42224a34f9 (diff)
downloadslackbuilds-9fe9ef6c358fcd0f50780dbf029086eb276939f7.tar.gz
slackbuilds-9fe9ef6c358fcd0f50780dbf029086eb276939f7.tar.xz
system/runit: Added to 12.1 repository
-rw-r--r--system/runit/README7
-rw-r--r--system/runit/runit.SlackBuild87
-rw-r--r--system/runit/runit.info8
-rw-r--r--system/runit/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/system/runit/README b/system/runit/README
new file mode 100644
index 0000000000..8182586e4d
--- /dev/null
+++ b/system/runit/README
@@ -0,0 +1,7 @@
+runit (a UNIX init scheme with service supervision)
+
+a cross-platform Unix init scheme with service supervision, a
+replacement for sysvinit, and other init schemes.
+
+runit can replace init or its service supervision can be used with
+traditional init. runit is compatible with djb's daemontools
diff --git a/system/runit/runit.SlackBuild b/system/runit/runit.SlackBuild
new file mode 100644
index 0000000000..225fd48ea7
--- /dev/null
+++ b/system/runit/runit.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+# slackware package build script for runit
+
+# written by David Miller dave at frop dot net
+
+PRGNAM=runit
+VERSION=${VERSION:-2.0.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+mv admin/$PRGNAM-$VERSION $PRGNAM-$VERSION
+rmdir admin
+cd $PRGNAM-$VERSION
+
+echo gcc $SLKCFLAGS -Wall > src/conf-cc
+
+package/compile
+package/check
+
+mkdir -p $PKG/usr/bin
+cp command/* $PKG/usr/bin
+
+mkdir $PKG/sbin
+install -m0750 etc/2 $PKG/sbin/runsvdir-start
+
+mkdir -p $PKG/usr/man/man8
+cp man/*.8 $PKG/usr/man/man8
+
+# Strip binaries and libraries - this can be done with 'make install-strip'
+# in many source trees, and that's usually acceptable if so, but if not,
+# use this:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs str ip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress man pages
+# If the man pages are installed to /usr/share/man instead, you'll need to either
+# add the --mandir=/usr/man flag to configure or move them manually after the
+# make install process is run.
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Copy program documentation into the package
+# The included documentation varies from one application to another, so be sure
+# to adjust your script as needed
+# Also, include the SlackBuild script in the documentation directory
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a package/CHANGES package/README package/TODO package/COPYING package/THANKS \
+ doc/ etc/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package; be sure to leave it in $OUTPUT
+# If package symlinks need to be created during install *before*
+# your custom contents of doinst.sh runs, then add the -p switch to
+# the makepkg command below -- see makepkg(8) for details
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/system/runit/runit.info b/system/runit/runit.info
new file mode 100644
index 0000000000..1781f4f4c2
--- /dev/null
+++ b/system/runit/runit.info
@@ -0,0 +1,8 @@
+PRGNAM="runit"
+VERSION="2.0.0"
+HOMEPAGE="http://smarden.org/runit/"
+DOWNLOAD="http://smarden.org/runit/runit-2.0.0.tar.gz"
+MD5SUM="63c53d313736f444a53a7451bfa76991"
+MAINTAINER="David Miller"
+EMAIL="dave@frop.net"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/system/runit/slack-desc b/system/runit/slack-desc
new file mode 100644
index 0000000000..83234322c1
--- /dev/null
+++ b/system/runit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+runit: runit (a UNIX init scheme with service supervision)
+runit:
+runit: a cross-platform Unix init scheme with service supervision, a
+runit: replacement for sysvinit, and other init schemes.
+runit:
+runit: runit can replace init or its service supervision can be used with
+runit: traditional init. runit is compatible with djb's daemontools
+runit:
+runit: Homepage: http://smarden.org/runit/index.html
+runit:
+runit: